var logLib = require('../lib/logger');
var fs = require('fs');
var properties = require('properties');

var log = logLib.logger('labelprint_configuration');

function toPDFPoints(millimeters)
{
	return millimeters * 2.83467;
}

module.exports.loadLabelLayout = function()
{

	var defaultConfigPath = 'public/configuration/DEFAULT_label_configuration.json';
	var configPath = 'label_configuration.json';

	var config;

	try
	{
		fs.statSync(configPath).isFile();
		return JSON.parse(fs.readFileSync(configPath, 'utf8'));
	} catch (err)
	{
		return JSON.parse(fs.readFileSync(defaultConfigPath, 'utf8'));
	}
};

module.exports.loadConfiguration = function(callback)
{

	var defaultConfigPath = 'public/configuration/DEFAULT_labelprint.properties';
	var configPath = 'labelprint.properties';

	var config;

	try
	{
		fs.statSync(configPath).isFile();
		properties.parse(configPath, {
			path : true
		}, function(err, props)
		{
			if (err)
			{
				log.error(err);
			}
			callback(props);
		});
	} catch (err)
	{
		properties.parse(defaultConfigPath, {
			path : true
		}, function(err, props)
		{
			if (err)
			{
				log.error(err);
			}
			callback(props);
		});
	}
};